/*       +------------------------------------+
 *       | Inspire Internet Relay Chat Daemon |
 *       +------------------------------------+
 *
 *  InspIRCd: (C) 2002-2009 InspIRCd Development Team
 * See: http://wiki.inspircd.org/Credits
 *
 * This program is free but copyrighted software; see
 *            the file COPYING for details.
 *
 * ---------------------------------------------------
 */

#include "inspircd.h"

/* $ModDesc: Provides a pointless /dalinfo command, demo module */

/** Handle /DALINFO
 */
class CommandDalinfo : public Command
{
 public:
	/* Command 'dalinfo', takes no parameters and needs no special modes */
	CommandDalinfo (InspIRCd* Instance) : Command(Instance,"DALINFO", 0, 0)
	{
		this->source = "m_testcommand.so";
	}

	CmdResult Handle (const std::vector<std::string> &parameters, User *user)
	{
		user->WriteServ("NOTICE %s :*** DALNet had nothing to do with it.", user->nick.c_str());
		return CMD_FAILURE;
	}
};

class ModuleTestCommand : public Module
{
	CommandDalinfo* newcommand;
 public:
	ModuleTestCommand(InspIRCd* Me)
		: Module(Me)
	{
		// Create a new command
		newcommand = new CommandDalinfo(ServerInstance);
		ServerInstance->AddCommand(newcommand);

	}


	virtual ~ModuleTestCommand()
	{
	}

	virtual Version GetVersion()
	{
		return Version("$Id: m_testcommand.cpp 11223 2009-03-15 12:42:35Z psychon $", VF_VENDOR, API_VERSION);
	}
};

MODULE_INIT(ModuleTestCommand)

